import { BaseProvider } from '#templates/base/provider';
import { PostTarget } from '#models/PostTarget';

export class PostTargetProvider extends BaseProvider<PostTarget> {
	public static instance: PostTargetProvider;

	public static getInstance(): PostTargetProvider {
		PostTargetProvider.instance ??= new PostTargetProvider();
		return PostTargetProvider.instance;
	}

	public static get model() {
		return PostTarget;
	}

	constructor() {
		super('PostTarget');
	}
}
